<template>
  <q-tooltip
    v-if="info"
    content-class="bg-white shadow-2 no-padding"
    transition-show="fade"
    transition-hide="fade"
    self="bottom middle"
    anchor="top middle"
    max-width="250px"
    :offset="[0, 10]"
    :target="info.target"
    @hide="$emit('info')"
  >
    <q-card>
      <q-card-section
        class="text-center q-py-sm"
        :style="{ backgroundColor: info.color }"
      >
        <div
          class="text-subtitle2 text-white text-bold text-uppercase q-px-sm"
          v-text="info.label"
        />
      </q-card-section>

      <q-card-section>
        <div
          class="text-body2 text-dark"
          v-text="info.comment || ''"
        />
      </q-card-section>
    </q-card>
  </q-tooltip>
</template>

<script>
export default {
  name: 'TooltipInfo',
  props: {
    info: {
      type: Object,
      default: () => (null)
    }
  }
}
</script>
